Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
response = client.cloud.quotas.get_global(
3,
)
print(response.inference_cpu_millicore_count_limit)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Cloud.Quotas.GetGlobal(context.TODO(), 3)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.InferenceCPUMillicoreCountLimit)
}
curl --request GET \
--url https://api.gcore.com/cloud/v2/global_quotas/{client_id} \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cloud/v2/global_quotas/{client_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"inference_cpu_millicore_count_limit": 0,
"inference_cpu_millicore_count_usage": 0,
"inference_gpu_a100_count_limit": 0,
"inference_gpu_a100_count_usage": 0,
"inference_gpu_h100_count_limit": 0,
"inference_gpu_h100_count_usage": 0,
"inference_gpu_l40s_count_limit": 0,
"inference_gpu_l40s_count_usage": 0,
"inference_instance_count_limit": 0,
"inference_instance_count_usage": 0,
"inference_public_model_api_key_count_limit": 0,
"inference_public_model_api_key_count_usage": 0,
"keypair_count_limit": 100,
"keypair_count_usage": 0,
"project_count_limit": 2,
"project_count_usage": 1
}Quotas
Get global quotas
Get global quotas for a specific client.
GET
/
cloud
/
v2
/
global_quotas
/
{client_id}
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
response = client.cloud.quotas.get_global(
3,
)
print(response.inference_cpu_millicore_count_limit)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Cloud.Quotas.GetGlobal(context.TODO(), 3)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.InferenceCPUMillicoreCountLimit)
}
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Client ID
Example:
3
Response
200 - application/json
OK
Inference CPU millicore count limit
Example:
0
Inference CPU millicore count usage
Example:
0
Inference GPU A100 Count limit
Example:
0
Inference GPU A100 Count usage
Example:
0
Inference GPU H100 Count limit
Example:
0
Inference GPU H100 Count usage
Example:
0
Inference GPU L40s Count limit
Example:
0
Inference GPU L40s Count usage
Example:
0
Inference instance count limit
Example:
0
Inference instance count usage
Example:
0
Public model API keys count limit
Example:
0
Public model API keys count usage
Example:
0
SSH Keys Count limit
Example:
100
SSH Keys Count usage
Example:
0
Projects Count limit
Example:
2
Projects Count usage
Example:
1
Was this page helpful?